Skip to main content
GET
List Check Deposits

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

account_id
string

ID of the Account receiving the deposit. Filterable.

decisioned
enum<string>

Flag indicating the check was manually decisioned. Filterable.

Available options:
true,
false
org_id
string

ID of the organization with which the object is associated. Filterable.

status
string

One of pending, pending_review, submitted, sent, error, canceled_OCR, or returned. Indicates the deposit's current status in the check workflow. Filterable.

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size check_deposit elements, starting after the check_deposit described by page_cursor. If no more check_deposits are available, the resulting list will be empty.

data
object[]